# Class JUnitOptions

java.lang.Object
org.gradle.api.tasks.testing.TestFrameworkOptions
org.gradle.api.tasks.testing.junit.JUnitOptions

public class JUnitOptions extends TestFrameworkOptions
The JUnit specific test options.

## Constructor Summary

Constructors
Constructor
Description
`JUnitOptions()`

## Method Summary

Modifier and Type
Method
Description
`JUnitOptions`
`excludeCategories(String... excludeCategories)`
`Set<String>`
`getExcludeCategories()`
The set of categories to exclude.
`Set<String>`
`getIncludeCategories()`
The set of categories to run.
`JUnitOptions`
`includeCategories(String... includeCategories)`
`void`
`setExcludeCategories(Set<String> excludeCategories)`
The set of categories to exclude.
`void`
`setIncludeCategories(Set<String> includeCategories)`
The set of categories to run.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JUnitOptions

public JUnitOptions()

## Method Details

### includeCategories

@Incubating public JUnitOptions includeCategories(String... includeCategories)

### excludeCategories

@Incubating public JUnitOptions excludeCategories(String... excludeCategories)

### getIncludeCategories

@Incubating public Set<String> getIncludeCategories()
The set of categories to run.

### setIncludeCategories

@Incubating public void setIncludeCategories(Set<String> includeCategories)
The set of categories to run.

### getExcludeCategories

@Incubating public Set<String> getExcludeCategories()
The set of categories to exclude.

### setExcludeCategories

public void setExcludeCategories(Set<String> excludeCategories)
The set of categories to exclude.